(function (exports) {
    var fangshiAPI = {
        // 签到详情
        findByFollowupId: function (data) {
            return httpRequest.get("doctor/followup/findByFollowupId", { data: data })
        },
        //获取孕产妇访视详情
        getPostpartumVisitDetails: function (data) {
            return httpRequest.get("doctor/visitDetail/getPostpartumVisitDetails", { data: data })
        },
        //保存孕产妇访视详情
        savePostpartumVisitDetails: function (data) {
            return httpRequest.post("doctor/visitDetail/savePostpartumVisitDetails", { data: data })
        },
        //保存严重精神障碍患者随访记录
        saveFollowupSevereMentalDisorder: function (data) {
            return httpRequest.post("doctor/visitDetail/saveFollowupSevereMentalDisorder", { data: data })
        },
        //获取严重精神障碍患者随访记录
        getFollowupSevereMentalDisorder: function (data) {
            return httpRequest.get("doctor/visitDetail/getFollowupSevereMentalDisorder", { data: data })
        },
        //获取新生儿家庭访视记录
        getNewbornFamilyVisitRecord: function (data) {
            return httpRequest.get("doctor/visitDetail/getNewbornFamilyVisitRecord", { data: data })
        },
        //保存新生儿家庭访视记录
        saveNewbornFamilyVisitRecord: function (data) {
            return httpRequest.post("doctor/visitDetail/saveNewbornFamilyVisitRecord", { data: data })
        },
        //保存老人健康体检随访记录
        saveOlderPeopleHealthCheckRecord: function (data) {
            return httpRequest.post("doctor/visitDetail/saveOlderPeopleHealthCheckRecord", { data: data })
        },
        //获取老人健康体检随访记录
        getOlderPeopleHealthCheckRecord: function (data) {
            return httpRequest.get("doctor/visitDetail/getOlderPeopleHealthCheckRecord", { data: data })
        },
        //获取第一次肺结核随访记录
        getPhthisisFirstCheckRecord: function (data) {
            return httpRequest.get("doctor/phthisis/getFirst", { data: data })
        },
        //保存第一次肺结核随访记录
        savePhthisisFirstCheckRecord: function (data) {
            return httpRequest.post("doctor/phthisis/saveFirst", { data: data })
        },
        //保存肺结核患者第n次入户随访记录
        savePhthisis:function(data){
            return httpRequest.post("doctor/phthisis/saveNTimes",{data:data})
        },
        //获取肺结核患者第n次入户随访记录
        getPhthisis:function(data){
            return httpRequest.get("doctor/phthisis/getNTimes", { data: data })
        },
        //获取当前随访状态信息
        getFollowupInfo:function(data){
            return httpRequest.get("doctor/followup/findFollowupInfo", { data: data })
        },
        //完成随访 
        updateFollowStatus:function(data){
            return httpRequest.post("doctor/followup/updateFollowStatus",{data:data})
        }
    }
    exports.fangshiAPI = fangshiAPI;
})(window)